Bug 838097 - ovirtmgmt network issue when registering a host in 3.1
ovirtmgmt network issue when registering a host in 3.1
Status: CLOSED NEXTRELEASE
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
3.1 RC
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Dan Kenigsberg
Haim
:
Depends On:
Blocks: 822145
  Show dependency treegraph
 
Reported: 2012-07-06 10:27 EDT by exploit
Modified: 2014-01-12 19:52 EST (History)
11 users (show)

See Also:
Fixed In Version: vdsm-4.10.0-5.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-18 10:24:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs from the host /tmp after failed registration (23.86 KB, application/octet-stream)
2012-07-06 10:27 EDT, exploit
no flags Details

  None (edit)
Description exploit 2012-07-06 10:27:25 EDT
Created attachment 596652 [details]
logs from the host /tmp after failed registration

Description of problem:

when registering a f17 host from engine 3.1, vdsm bootstrap generate this issue : "Failed to install Host chergui. Step: SetNetworking; Details: addNetwork error trying to add management bridge"

Version-Release number of selected component (if applicable):

ovirt-engine-webadmin-portal-3.1.0-0.2.20120704git1df1ba.fc17.noarch on F17
vdsm 4.9.10-0-4 on F17 host
How reproducible:

registering a new host from the webadmin

Steps to Reproduce:
1.
2.
3.
  
Actual results:

"Failed to install Host chergui. Step: SetNetworking; Details: addNetwork error trying to add management bridge"

Fri, 06 Jul 2012 14:59:59 DEBUG    makeBridge Failed to add ovirtmgmt bridge out=
err=Traceback (most recent call last):
  File "/usr/lib64/python2.7/runpy.py", line 162, in _run_module_as_main
    "__main__", fname, loader, pkg_name)
  File "/usr/lib64/python2.7/runpy.py", line 72, in _run_code
    exec code in run_globals
  File "/usr/share/vdsm/configNetwork.py", line 1220, in <module>
    main()
  File "/usr/share/vdsm/configNetwork.py", line 1189, in main
    addNetwork(bridge, **kwargs)
  File "/usr/share/vdsm/configNetwork.py", line 594, in addNetwork
    bridged=bridged, **options)
TypeError: _addNetworkValidation() got an unexpected keyword argument 'DNS1'

Expected results:

DNS1 is a good parameter in my /etc/sysconfig/network-scripts/ifcfg-em1.30, so as the script accepts it an creates the ovirtmgmt bridge correctly


Additional info:

I began again changing DNS1 into DNS and I registered the host an other time. now I have : TypeError: _addNetworkValidation() got an unexpected keyword argument 'VLAN'

I think it's not only about DNS1 issue, but with other good keywords that can be accepted in a ifcfg file.
this is my network ifcfg file :
DEVICE=em1.30
ONBOOT=yes
IPADDR=10.34.30.28
PREFIX=24
GATEWAY=10.34.30.2
DNS=193.52.69.50
VLAN=yes
NM_CONTROLLED=no

This bug seems to be the same as when creating new logical network when the host is up (thanks to manually creating ovirtmgmt) : bridges are never operationnal beacause they are never created.
Comment 1 Dan Kenigsberg 2012-07-07 15:32:09 EDT
I belive we've solved it in master branch and forgot to backport. http://gerrit.ovirt.org/6017
Comment 2 Douglas Schilling Landgraf 2012-07-18 10:24:45 EDT
Hi,

This report should be fixed in vdsm-4.10.0-5.fc17.
http://koji.fedoraproject.org/koji/buildinfo?buildID=330964

Fell free to reopen this report in case this version doesn't resolve the problem.

Note You need to log in before you can comment on or make changes to this bug.